cpw.mods.fml.common

## Enum LoaderState

- java.lang.Object
- - java.lang.Enum<LoaderState>
  - - cpw.mods.fml.common.LoaderState

- All Implemented Interfaces:
    Serializable, Comparable<LoaderState>

      public enum LoaderState
      extends Enum<LoaderState>

  The state enum used to help track state progression for the loader
  Author:
    cpw

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LoaderState.ModState`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AVAILABLE`
    `CONSTRUCTING`
    `ERRORED`
    `INITIALIZATION`
    `LOADING`
    `NOINIT`
    `POSTINITIALIZATION`
    `PREINITIALIZATION`
    `SERVER_ABOUT_TO_START`
    `SERVER_STARTED`
    `SERVER_STARTING`
    `SERVER_STOPPED`
    `SERVER_STOPPING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FMLStateEvent` | `getEvent(Object... eventData)`
    `boolean` | `hasEvent()`
    `LoaderState` | `requiredState()`
    `LoaderState` | `transition(boolean errored)`
    `static LoaderState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LoaderState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOINIT

          public static final LoaderState NOINIT

    - #### LOADING

          public static final LoaderState LOADING

    - #### CONSTRUCTING

          public static final LoaderState CONSTRUCTING

    - #### PREINITIALIZATION

          public static final LoaderState PREINITIALIZATION

    - #### INITIALIZATION

          public static final LoaderState INITIALIZATION

    - #### POSTINITIALIZATION

          public static final LoaderState POSTINITIALIZATION

    - #### AVAILABLE

          public static final LoaderState AVAILABLE

    - #### SERVER_ABOUT_TO_START

          public static final LoaderState SERVER_ABOUT_TO_START

    - #### SERVER_STARTING

          public static final LoaderState SERVER_STARTING

    - #### SERVER_STARTED

          public static final LoaderState SERVER_STARTED

    - #### SERVER_STOPPING

          public static final LoaderState SERVER_STOPPING

    - #### SERVER_STOPPED

          public static final LoaderState SERVER_STOPPED

    - #### ERRORED

          public static final LoaderState ERRORED

  - ### Method Detail

    - #### values

          public static LoaderState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LoaderState c : LoaderState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LoaderState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### transition

          public LoaderState transition(boolean errored)

    - #### hasEvent

          public boolean hasEvent()

    - #### getEvent

          public FMLStateEvent getEvent(Object... eventData)

    - #### requiredState

          public LoaderState requiredState()